package com.lz.modules.flow.req;
import lombok.Data;
import java.util.Date;
/**
* <p>
* 菜单权限表
* </p>*流转表
* @author quyixiao
* @since 2020-08-18
*/


@Data
public class FlowReq implements java.io.Serializable {
  
    private int page = 1;
    private int rows = 10;
    private String sort;
    private String order;
    //
    private Long id;
    //是否删除状态，1：删除，0：有效
    private Integer isDelete;
    //创建时间
    private Date gmtCreate;
    //最后修改时间
    private Date gmtModified;
    //自己部门小伙伴 走的 流程id
    private Long flowId;
    //
    private String opt;
    //操作描述
    private String optDesc;
    //角色 id
    private Long roleId;
    /**
     *  
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     *  
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除状态，1：删除，0：有效 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除状态，1：删除，0：有效 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getGmtCreate() {
        return gmtCreate;
    }
    /**
     * 创建时间 
     * @param gmtCreate
     */
    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    /**
     * 最后修改时间 
     * @return
     */
    public Date getGmtModified() {
        return gmtModified;
    }
    /**
     * 最后修改时间 
     * @param gmtModified
     */
    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }

    /**
     * 自己部门小伙伴 走的 流程id 
     * @return
     */
    public Long getFlowId() {
        return flowId;
    }
    /**
     * 自己部门小伙伴 走的 流程id 
     * @param flowId
     */
    public void setFlowId(Long flowId) {
        this.flowId = flowId;
    }

    /**
     *  
     * @return
     */
    public String getOpt() {
        return opt;
    }
    /**
     *  
     * @param opt
     */
    public void setOpt(String opt) {
        this.opt = opt;
    }

    /**
     * 操作描述 
     * @return
     */
    public String getOptDesc() {
        return optDesc;
    }
    /**
     * 操作描述 
     * @param optDesc
     */
    public void setOptDesc(String optDesc) {
        this.optDesc = optDesc;
    }

    /**
     * 角色 id 
     * @return
     */
    public Long getRoleId() {
        return roleId;
    }
    /**
     * 角色 id 
     * @param roleId
     */
    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    @Override
    public String toString() {
        return "Flow{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",gmtCreate=" + gmtCreate +
                ",gmtModified=" + gmtModified +
                ",flowId=" + flowId +
                ",opt=" + opt +
                ",optDesc=" + optDesc +
                ",roleId=" + roleId +
                "}";
    }
}